<!-- balance 余额明细 -->
<template>
    <div>
        <div class="mb20">
            <el-input clearable class="w250 mr20" clearable v-model="search_data.search"
                      placeholder="流水号/账号/会员"></el-input>
            <el-select clearable class="mr20 w200" clearable v-model="search_data.type" placeholder="请选择类型">
                <el-option label="请选择类型" value></el-option>
                <el-option v-for="item in  GetBaseData('finance','credit1')" :key="item.id" :label="item.name"
                           :value="item.id"></el-option>
            </el-select>

            <el-date-picker value-format="yyyy-MM-dd" v-model="search_data.start_end" type="daterange"
                            range-separator="至" start-placeholder="开始日期" end-placeholder="结束日期">
            </el-date-picker>

            <el-button class="ml10" icon="el-icon-search" size="small" type="primary" @click="m_search">搜索</el-button>
            <el-button class="ml10" size="small" type="primary" v-if="this.userInfo.group_id==2"
                       @click="m_showForm = true">提款提交
            </el-button>
        </div>

        <h4 v-if="isSeller" >余额: {{this.credit1}}</h4>
        <el-table ref="m_table" size="mini" border :max-height="tableHeight" v-loading="m_tableLoading"
                  @selection-change="m_handleSelectionChange" @current-change="m_handleCurrentChange" border
                  :stripe="true" tooltip-effect="dark" :highlight-current-row="true" :data="m_list">
            <!-- <el-table-column align="center" type="selection" width="55"></el-table-column> -->
            <el-table-column align="center" width="200" prop="invoice" label="流水号"></el-table-column>
            <el-table-column width="160px" align="center" prop="name" label="用户名"></el-table-column>

            <el-table-column align="center" prop="realname" label="真正的名字"></el-table-column>
            <el-table-column align="center" label="状态">
                <template slot-scope="scope" v-if="scope.row.status == 1"> 已批准</template>
                <template slot-scope="scope" v-else></template>
            </el-table-column>
            <el-table-column width="160px" align="center" prop="amount" label="金额">
                <template slot-scope="scope">
                    {{scope.row.amount.toFixed(2)}}
                </template>
            </el-table-column>
            <el-table-column width="160px" align="center" prop="credit1" label="余额"></el-table-column>
            <el-table-column width="160px" align="center" prop="type" label="Type"></el-table-column>
            <el-table-column align="center" prop="created_at" label="时间"></el-table-column>
            <el-table-column align="center" label="行动">
                <el-button class="ml10" icon="el-check" size="small" slot-scope="scope" type="primary" @click="searchDetail(scope.row.id)">查看明细
                </el-button>
            </el-table-column>


        </el-table>

        <Paging class="mt20 mb30" :pageIndex="m_page.page" :pageSize="m_page.limit" :pageTotal="m_page.total"
                @changeSize="m_changesize" @changeIndex="m_changeindex"></Paging>

        <el-dialog :close-on-click-modal="false" v-if="m_show" :visible.sync="m_show" width="600px">
            <div style="text-align:center" v-if="this.userInfo.group_id==2">
                <center>
                    <img :src="this.image" style="max-width:200px">
                </center>
            </div>


            <el-upload v-else class="avatar-uploader" :action="m_action" :show-file-list="false" name="images"
                       :with-credentials="true" :on-success="handleAvatarSuccess">

                <img v-if="formData.img_url" :src="formData.img_url" class="avatar" style="max-width:200px">
                <div v-else
                     style="width:80px; background-color:#304156; height:20px; padding-top:6px; border-radius:20px;"><i
                        style="color:white" class="el-icon-plus avatar-uploader-icon"></i></div>

            </el-upload>
            <p v-if="this.userInfo.group_id != 2" class="m_red">( 请上传图片规格 宽*高 500* 500px )</p><br>
            <span> 所属银行 : {{bankData.bank_name}} </span> <br>
            <span> 银行户口 : {{bankData.bank_no}} </span> <br> 
            <span> 银行号码 : {{bankData.bank_account_no}} </span> </br>
            <span> 银行持有人姓名 : {{bankData.bank_holder}} </span> </br>

            <span v-if="bankData.paymentAfterFee > 0"> 原金额 : {{bankData.originalAmount}} </span> </br>
            <span v-if="bankData.paymentAfterFee > 0"> 手续费 : {{bankData.chargeRate}} </span> </br>
            <span v-if="bankData.paymentAfterFee > 0"> 当付款 : {{bankData.paymentAfterFee}} </span> </br>


            <div slot="footer">
                <el-button class="ml10" v-if="this.userInfo.group_id != 2" icon="el-check" size="small" type="primary"
                           @click="approveWithdraw()">批准
                </el-button>
            </div>
        </el-dialog>

        <el-dialog :close-on-click-modal="false" v-if="m_showForm" :visible.sync="m_showForm" width="600px">
            <el-form :model="formData">
                <el-form-item label="提款金额" label-width="80px" prop="amount">
                    <el-input clearable v-model="formData.amount" auto-complete="off"></el-input>
                </el-form-item>
                <el-form-item label="所属银行" label-width="80px" prop="bank_name">
                    <el-input clearable v-model="formData.bank_name" auto-complete="off"></el-input>
                </el-form-item>
                <el-form-item label="银行户口" label-width="80px" prop="bank_no">
                    <el-input clearable v-model="formData.bank_no" auto-complete="off"></el-input>
                </el-form-item>
                <el-form-item label="银行号码 " label-width="80px" prop="bank_account_no">
                    <el-input clearable v-model="formData.bank_account_no" auto-complete="off"></el-input>
                </el-form-item>
                <el-form-item label="银行持有人姓名" label-width="80px" prop="bank_holder">
                    <el-input clearable v-model="formData.bank_holder" auto-complete="off"></el-input>
                </el-form-item>

            </el-form>
            <div slot="footer">
                <el-button class="ml10" icon="el-check" size="small" type="primary" @click="WithdrawNew()">提交
                </el-button>
            </div>
        </el-dialog>

    </div>


</template>


<script>
    import * as api from '@/api'

    export default {
        name: 'withdraw',
        data() {
            return {
                search_data: {
                    search: '',
                    type: '',
                    start_end: []


                },
                formData: {
                    amount: '',
                    img_url: '',
                    bank_holder:'',
                    bank_account_no:'',
                    bank_no:'', 
                    bank_name:'',
                },

                bankData:{
                    bank_holder:'',
                    bank_account_no:'',
                    bank_no:'', 
                    bank_name:'',
                    status:0,
                    originalAmount:0,
                    chargeRate:'1%',
                    paymentAfterFee: 0
                },
                m_show: false,
                m_showForm: false,
                image: '',
                id: '',
                'userInfo': '',
                credit1: 0,
                isSeller: false
            }
        },
        created() {
            this.init()
        },
        methods: {
            //初始化方法
            init() {
                this.userInfo = sessionStorage.userInfo && JSON.parse(sessionStorage.userInfo) || {};
                console.log(this.userInfo);
                this.getDatalist();
                this.credit1 = this.userInfo.credit1 ? this.userInfo.credit1 : 0;
                this.isSeller = this.userInfo.seller;
            },

            //获取数据信息
            getDatalist() {

                this.m_tableLoading = true
                let data = Object.assign(this.search_data, this.m_page);

                api.finance_withdraw(data).then(res => {
                    //console.log(res)
                    this.m_list = res.data.data
                    this.m_page.total = res.data.total
                    console.log(this.m_list)
                }).finally(() => {
                    this.m_tableLoading = false
                })
            },

            handleAvatarSuccess(res, file) {
                this.formData.img_url = res.data
                console.log(res, file)
            },

            searchDetail(id) {
                this.image = '';
                this.id = '';
                this.m_show = true;
                let object = this.m_list.find(object => object.id === id);
                this.image = object.img_url;
                this.bankData.bank_holder = object.bank_holder;
                this.bankData.bank_account_no = object.bank_account_no;
                this.bankData.bank_no = object.bank_no;
                this.bankData.bank_name = object.bank_name;

                if(object.status === 0) {
                    let percent = 0.01;
                    let amount= object.amount;
                    let fee = amount * percent;
                    let payable = amount - fee;
                    this.bankData.originalAmount = amount;
                    this.bankData.paymentAfterFee = payable;
                } else {
                    this.bankData.paymentAfterFee = 0;
                }
                this.id = object.id;
                console.log(this.bankData)
            },

            approveWithdraw() {
                let data_approve = {id: this.id, img_url: this.formData.img_url}
                // console.log(data_approve)
                api.finance_withdraw_approve(data_approve).then(res => {
                    this.m_success('已批准');
                    this.getDatalist()
                    this.m_show = false;
                }).finally(() => {

                })
            },

            WithdrawNew() {

                api.finance_withdraw_new(this.formData).then(res => {
                    this.m_success('退出');
                    this.getDatalist()
                    this.m_show = false;
                }).finally(() => {

                })
            }

        },
    }

</script>
<style lang='scss' scoped>
</style>